## kf5-kdepim-apps-libs 18.08.3

=== kaddressbookimportexport/autotests/CMakeLists.txt ===
add_executable( contactfieldstest contactfieldstest.cpp)
add_test(NAME contactfieldstest COMMAND contactfieldstest )
ecm_mark_as_test(kaddrebook-contactfieldstest)
target_link_libraries(contactfieldstest  KF5::Contacts Qt5::Test Qt5::Gui KF5::I18n KF5::KaddressbookImportExport)

=== debian/changelog ===
kf5-kdepim-apps-libs (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:59 +0100

kf5-kdepim-apps-libs (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:02:12 +0100

kf5-kdepim-apps-libs (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:20:09 +0200

kf5-kdepim-apps-libs (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 12:15:01 +0200

kf5-kdepim-apps-libs (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:24:16 +0200

kf5-kdepim-apps-libs (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Enable build tests.
  * Update symbols file for 17.12.2.
  * Add symbols files for all libs.
  * Bump debhelper build-dep and compat to 11.
  * Mark kf5-kdepim-apps-libs-data Multi-Arch: foreign (Closes: #891398)

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:09 +0100

kf5-kdepim-apps-libs (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark kf5-kdepim-apps-libs-data not as Multi-Arch: foreign.
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Update symbols from buildds for 4:17.08.3
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:54:25 +0100

kf5-kdepim-apps-libs (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:22 +0200

kf5-kdepim-apps-libs (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:16 +0000

kf5-kdepim-apps-libs (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:12 +0000

kf5-kdepim-apps-libs (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:29 +0000

kf5-kdepim-apps-libs (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:16:26 +0000

kf5-kdepim-apps-libs (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 13:16:40 +0000

kf5-kdepim-apps-libs (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:52 +0000

kf5-kdepim-apps-libs (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:11 +0000

kf5-kdepim-apps-libs (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:03 +0000

kf5-kdepim-apps-libs (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:39 +0000

kf5-kdepim-apps-libs (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:41 +0000

kf5-kdepim-apps-libs (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:25 +0000

kf5-kdepim-apps-libs (4:16.08.1-1~1.gbpc54941) UNRELEASED; urgency=medium

  ** SNAPSHOT build @c54941d842d2ce0368d87bbeb83ced75f255df89 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @bdc585e89add7103e8fb92b92d4984e44eef1aa5 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 00:48:37 +0200

kf5-kdepim-apps-libs (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:13 +0000

kf5-kdepim-apps-libs (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:20 +0000

kf5-kdepim-apps-libs (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:10 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	xvfb-run -- dh_auto_test --no-parallel

## kf5-kdepim-apps-libs 18.08.3.1%2Brb2

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadicontact-dev (>= 4:18.08.3~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5contacts-dev (>= 4:18.08.3~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5grantleetheme-dev (>= 18.08.3~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5libkleo-dev (>= 4:18.08.3~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5prison-dev (>= 5.47.0~),
               libkf5service-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs.git

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5composereditorng5 (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.
 This package contains data files.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5config-dev (>= 5.47.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library
 This package is part of the KDE PIM module.
Breaks: kmail (<< 4:17.08), libkf5messagecomposer5 (<< 4:17.08)

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.1~),
         libkf5akonadicontact-dev (>= 4:18.08.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:18.08.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KAddressbook Grantlee support - devel files
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for KAddressbook Grantlee support library.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-themeeditors (<< 4:17.08),
        libkf5libkdepim5 (<= 4:16.04),
        libkf5messageviewer5 (<< 4:17.08),
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: KAddressbook Grantlee support
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5config-dev (>= 5.47.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for KDE PIM D-Bus interfaces library.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.
Breaks: kontact (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5incidenceeditor5 (<< 17.08),

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.3~),
         libkf5config-dev (>= 5.47.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: send later library, devel files
 Adds sends later functionallit to KDE PIM.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for send later library.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: send later library
 Adds sends later functionallit to KDE PIM.
 .
 This package is part of the KDE PIM module.
Breaks: kmail (<< 4:17.08), libkf5messagecomposer5 (<< 4:17.08)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/kdepim-apps-libs-([\d.]+).tar.xz

## kf5-kdepim-apps-libs 18.08.3.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")
project(kdepim-apps-lib VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


set(KDEPIM_APPS_LIB_VERSION ${PIM_VERSION})

set(QT_REQUIRED_VERSION "5.9.0")

set(AKONADI_VERSION "5.9.3")
set(GRANTLEETHEME_LIB_VERSION "5.9.3")
set(KCONTACTS_LIB_VERSION "5.9.3")
set(AKONADICONTACT_LIB_VERSION "5.9.3")
set(LIBKLEO_LIB_VERSION "5.9.3")
set(PIMCOMMON_LIB_VERSION "5.9.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Gui)

find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(Grantlee5 "5.1" CONFIG REQUIRED)

find_package(KF5Prison ${KF5_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_subdirectory(libfollowupreminder)
add_subdirectory(libkdepimdbusinterfaces)
add_subdirectory(libsendlater)
add_subdirectory(kaddressbookgrantlee)
add_subdirectory(kaddressbookimportexport)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install( FILES kdepim-apps-lib.renamecategories kdepim-apps-lib.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
ki18n_install(po)

=== debian/changelog ===
kf5-kdepim-apps-libs (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:03:32 +0800

## kf5-kdepim-apps-libs 18.12.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:25 +0100

kf5-kdepim-apps-libs (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:04 +0000

kf5-kdepim-apps-libs (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 20:23:27 +0000

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Replaces: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 4:18.12.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:18.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library
 This package is part of the KDE PIM module.

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: send later library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

## kf5-kdepim-apps-libs 19.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.11.3")
project(kdepim-apps-lib VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.56.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(KDEPIM_APPS_LIB_VERSION ${PIM_VERSION})

set(QT_REQUIRED_VERSION "5.10.0")

set(AKONADI_VERSION "5.11.3")
set(GRANTLEETHEME_LIB_VERSION "5.11.3")
set(KCONTACTS_LIB_VERSION "5.11.3")
set(AKONADICONTACT_LIB_VERSION "5.11.3")
set(LIBKLEO_LIB_VERSION "5.11.3")
set(PIMCOMMON_LIB_VERSION "5.11.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Gui)

find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(Grantlee5 "5.1" CONFIG REQUIRED)

find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_definitions(-DBUILD_TESTING)
endif()
# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
if (${Qt5Widgets_VERSION} STRGREATER "5.13")
   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
else()
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()

add_subdirectory(libfollowupreminder)
add_subdirectory(libkdepimdbusinterfaces)
add_subdirectory(libsendlater)
add_subdirectory(kaddressbookgrantlee)
add_subdirectory(kaddressbookimportexport)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install( FILES kdepim-apps-lib.renamecategories kdepim-apps-lib.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
ki18n_install(po)

=== debian/changelog ===
kf5-kdepim-apps-libs (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,22 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 18.12.3~),
+               libkf5grantleetheme-dev (>= 19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5libkleo-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -62,7 +62,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
@@ -86,9 +86,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 4:18.12.3~),
+         libkf5akonadicontact-dev (>= 4:19.04.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:18.12.3~),
+         libkf5pimcommon-dev (>= 4:19.04.3~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: follow up reminder library, devel files
@@ -110,7 +110,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -133,7 +133,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},
@@ -154,7 +154,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5kaddressbookimportexport5 (= ${binary:Version}),
          ${misc:Depends},

## kf5-kdepim-apps-libs 19.08.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:28 +0100

kf5-kdepim-apps-libs (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.
  * Make tests not failing the build.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:41:11 +0100

kf5-kdepim-apps-libs (4:18.08.3-4) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:51:23 +0100

kf5-kdepim-apps-libs (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:42:59 +0200

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacteditor-dev (>= 4:5.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5grantleetheme-dev (>= 19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5libkleo-dev (>= 4:19.08.3~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5prison-dev (>= 5.60.0~),
               libkf5service-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs.git

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.
 This package contains data files.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5config-dev (>= 5.60.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.1~),
         libkf5akonadicontact-dev (>= 4:19.08.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:19.08.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KAddressbook Grantlee support - devel files
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for KAddressbook Grantlee support library.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KAddressbook Grantlee support
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5config-dev (>= 5.60.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for KDE PIM D-Bus interfaces library.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5config-dev (>= 5.60.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library, devel files
 Adds sends later functionallit to KDE PIM.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for send later library.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library
 Adds sends later functionallit to KDE PIM.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

## kf5-kdepim-apps-libs 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")
project(kdepim-apps-lib VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(KDEPIM_APPS_LIB_VERSION ${PIM_VERSION})

set(QT_REQUIRED_VERSION "5.11.0")

set(AKONADI_VERSION "5.13.3")
set(GRANTLEETHEME_LIB_VERSION "5.13.3")
set(AKONADICONTACT_LIB_VERSION "5.13.3")
set(LIBKLEO_LIB_VERSION "5.13.3")
set(PIMCOMMON_LIB_VERSION "5.13.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Gui)

find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(Grantlee5 "5.1" CONFIG REQUIRED)

find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_definitions(-DBUILD_TESTING)
endif()
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(libfollowupreminder)
add_subdirectory(libkdepimdbusinterfaces)
add_subdirectory(libsendlater)
add_subdirectory(kaddressbookgrantlee)
add_subdirectory(kaddressbookimportexport)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(FILES kdepim-apps-lib.renamecategories kdepim-apps-lib.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ki18n_install(po)

=== libkdepimdbusinterfaces/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX KDEPIMDBUSINTERFACES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdepimdbusinterfaces_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfigVersion.cmake"
                        SOVERSION 5
)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KdepimDBusInterfaces")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KdepimDBusInterfacesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KdepimDBusInterfacesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KdepimDBusInterfacesTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kdepimdbusinterfaces_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)

=== debian/changelog ===
kf5-kdepim-apps-libs (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:45 +0100

kf5-kdepim-apps-libs (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:05 +0100

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 19.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Replaces: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 4:19.12.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:19.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: send later library, devel files
 This package is part of the KDE PIM module.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: send later library
 This package is part of the KDE PIM module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdepim-apps-libs-([\d.]+).tar.xz
